#include ONCE "window9.bi"

function FlagKeyListView(iState as Long = -1) as Long export
	
	'shift
	'ctrl
	'shift+ctrl
	'ctrl+alt
	static as Long iSaveState
	
	select case iState
		
		Case -1
		
			function = iSaveState
		
			iSaveState = 0
		
		case 1
		
			iSaveState = 4
		
		case 4
		
			iSaveState = 2
		
		Case 5
		
			iSaveState = 6
		
		case 12
		
			iSaveState = 3
		
		case else
		
			iSaveState = iState						
		
	End Select
	
	
End Function